#include <bits/stdc++.h>
using namespace std;

const long long DIM = 100005;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	long long n, a[DIM], ans;
	cin>>n;
    for(int i=1; i<=n; i++){
        cin >> a[i];
    }

    sort(a+1, a+n+1);

    long long k=0, curr = 0;
    ans = 0;

    for(int i=n; i>=1; i--){
        if(a[i]!=a[i+1]) curr = k;
        if(a[i]-curr > 0) ans+=a[i]-curr;
        k++;
    }

    cout << ans;
}
